com.io7m.jcanephora.core

## Enum JCGLFramebufferBlitFilter

- java.lang.Object
- - java.lang.Enum<JCGLFramebufferBlitFilter>
  - - com.io7m.jcanephora.core.JCGLFramebufferBlitFilter

- All Implemented Interfaces:
    Serializable, Comparable<JCGLFramebufferBlitFilter>

      public enum JCGLFramebufferBlitFilter
      extends Enum<JCGLFramebufferBlitFilter>

  The filtering that will be used during framebuffer blit operations.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FRAMEBUFFER_BLIT_FILTER_LINEAR` Use bilinear interpolation when stretching the contents of a framebuffer during blitting.
    `FRAMEBUFFER_BLIT_FILTER_NEAREST` Use nearest-neighbour interpolation when stretching the contents of a framebuffer during blitting.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JCGLFramebufferBlitFilter` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static JCGLFramebufferBlitFilter[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FRAMEBUFFER_BLIT_FILTER_LINEAR

          public static final JCGLFramebufferBlitFilter FRAMEBUFFER_BLIT_FILTER_LINEAR

      Use bilinear interpolation when stretching the contents of a framebuffer during blitting. Cannot be used when copying depth or stencil buffers.

    - #### FRAMEBUFFER_BLIT_FILTER_NEAREST

          public static final JCGLFramebufferBlitFilter FRAMEBUFFER_BLIT_FILTER_NEAREST

      Use nearest-neighbour interpolation when stretching the contents of a framebuffer during blitting.

  - ### Method Detail

    - #### values

          public static JCGLFramebufferBlitFilter[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JCGLFramebufferBlitFilter c : JCGLFramebufferBlitFilter.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JCGLFramebufferBlitFilter valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2017 <code@io7m.com> http://io7m.com